/* 
   IceCreamCone.h

   IceCreamDrop 
   Copyright (C) 2004 Marcus W Dillavou <line72@users.sf.net>
                  and Amy L Dillavou <gs2luv@users.sf.net>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
*/

#ifndef _ICECREAMCONE_H_
#define _ICECREAMCONE_H_

#include "IceCreamScoop.h"
#include "Object.h"

class IceCreamCone : public Object
{
 public:
  IceCreamCone();
  virtual ~IceCreamCone();

  /**
   * draw the cone and it's scoops
   */
  virtual void draw();

  /**
   * add an icecream scoop to the cone
   */
  void addIceCreamScoop(IceCreamScoop *i);
  /**
   * get Number of scoops
   */
  int getNumIceCreamScoops() { return _iceCreamScoops.size(); }

 protected:
  vector < IceCreamScoop * > _iceCreamScoops;
};

#endif
