/* 
   SuperModel.h

   IceCreamDrop 
   Copyright (C) 2004 Marcus W Dillavou <line72@users.sf.net>
                  and Amy L Dillavou <gs2luv@users.sf.net>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
*/

#ifndef _SUPERMODEL_H_
#define _SUPERMODEL_H_

#include "Animadead/animadead.h"
#include "Texture.h"

class UserFunctionTexture : public jb::UserFunction
{
 public:
  void operator()(string file, void *&userdata)
  {
    
    string path = "images/";
    string::size_type pos = file.find_last_of("/");
    string therest = string(file, pos+1);
    path += therest;
    userdata = (void *)t.createTexture(path);
  }

 protected:
  static Texture t;
};

class SuperModel : public jb::Model
{
 public:
  SuperModel(jb::ModelType type, jb::UserFunction *fp);
  virtual ~SuperModel();

  virtual void draw();

};

#endif
